getDesign-methods {planor} | R Documentation

## Extract a Design

### Description

Methods to extract a design data frame from an object.

### Usage

    ## S4 method for signature 'planordesign'
    getDesign( object  )

### Arguments

`object` | object of the class.

### Value

A data frame which contains the design.

### Note

Applied on a `planordesign` object, it is the same as function `as.data.frame`, without returning any attributes.

### See Also

Class where this method applies: `planordesign`.

### Examples

    ### Creation of a planordesign object
    K0 <- planor.designkey(factors=c("R","C","U","A","B1","B2"),
       nlevels=c(3,2,2,3,2,2), model=~R*C + (A+B1+B2)^2, estimate=~A:B1+A:B2,
       nunits=12, base=~R+C+U, max.sol=2)
    P0 <- planor.design(key=K0, select=1)
    ### Method getDesign on the planordesign object
    show(getDesign(P0))

[Package planor version 1.5-1 Index]